package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.StandardJsonTypeHandler;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 车型审查任务
 * @TableName t_car_review_task
 */
@TableName(value ="t_car_review_task", autoResultMap = true)
@Accessors(chain = true)
@Data
public class CarReviewTask implements Serializable {
    @TableField(exist = false)
    public static final String TYPE = "car";



    @TableField(exist = false)
    public static final String TASK_STATUS_NEW = "NEW";
    @TableField(exist = false)
    public static final String TASK_STATUS_PENDING = "PENDING";
    @TableField(exist = false)
    public static final String TASK_STATUS_SIGNED = "SIGNED";
    @TableField(exist = false)
    public static final String TASK_STATUS_FINISH = "FINISH";

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 任务编号
     */
    @ApiModelProperty("任务编号")
    private String taskNo;

    /**
     * 任务状态（PENDING、FINISH）
     */
    @ApiModelProperty("任务状态[NEW、PENDING、FINISH]")
    private String taskStatus;

    /**
     * 任务发起人姓名
     */
    @ApiModelProperty("任务发起人姓名")
    private String taskInitiator;

    /**
     * 任务发起人部门
     */
    @ApiModelProperty("任务发起人部门")
    private String taskInitiatorDept;

    /**
     * 任务结果（PASS、REJECT）
     */
    @ApiModelProperty("任务结果（PASS、REJECT）")
    private String taskResult;

    /**
     * 任务开始时间
     */
    @ApiModelProperty("任务开始时间")
    private Date taskBeginTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty("任务结束时间")
    private Date taskEndTime;

    /**
     * 审查标准
     */
    @ApiModelProperty("审查标准")
    @TableField(value="standard", typeHandler = StandardJsonTypeHandler. class)
    private List<ReviewStandard> standard;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

    /**
     * 审查组长id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审查组长id")
    private Long leaderId;

    /**
     * 审查组长姓名
     */
    @ApiModelProperty("审查组长姓名")
    private String leader;

    /**
     * 关联标准表id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("关联标准表id")
    private Long standardId;

    /**
     * 标准名称
     */
    @ApiModelProperty("标准名称")
    private String name;

    /**
     * 标准号
     */
    @ApiModelProperty("标准号")
    private String standardNo;

    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    private String file;

    /**
     * 车型问卷提交人id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("提交人id")
    private Long submitId;

    /**
     * 车型问卷提交人姓名
     */
    @ApiModelProperty("车型问卷提交人姓名")
    private String submitName;

    @ApiModelProperty("问卷签名图片地址")
    private String imagesUrl;

}
