package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.Task;
import com.ruoyi.web.request.*;
import com.ruoyi.web.response.TaskFindPendingResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TaskService extends IService<Task> {

    /**
     * 查询任务表
     * @param request
     * @return
     */
    List<Task> findList(TaskListRequest request);

    void createTask(TaskCreateRequest request);

    /**
     * 查询进行中的任务
     * @param request
     * @return
     */
    List<TaskFindPendingResponse> findPending(TaskFindPendingRequest request);

    /**
     * 查询完成的任务
     * @param request
     * @return
     */
    List<Task> findFinish(TaskFindFinishRequest request);

    void editTask(TaskEditRequest request);

    void deleteTask(TaskDeleteRequest request);

    void startTask(TaskStartRequest request);
}
