package com.ruoyi.web.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.domain.TaskUserRelation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@ApiModel(value = "TaskCreateRequest", description = "创建总任务")
@Data
public class TaskCreateRequest {

    @ApiModelProperty("小组成员")
    private List<TaskUserRelation> auditors;

    @ApiModelProperty("任务编号")
    private String taskNo;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("产品名称")
    private String productName;

    @ApiModelProperty("产品型号")
    private String productModel;

    @ApiModelProperty("委托单位")
    private String entrustedUnit;

    @ApiModelProperty("委托单位地址")
    private String entrustedUnitAddress;

    @ApiModelProperty("委托单位电话")
    private String entrustedUnitPhone;

    @ApiModelProperty("委托单位邮政编码")
    private String entrustedUnitCode;

    @ApiModelProperty("车辆类型")
    private String carType;

    @ApiModelProperty("车辆识别码")
    private String carIdentificationCode;

    @ApiModelProperty("保密等级")
    private String confidentialityLevel;

    @ApiModelProperty("样品名称")
    private String sampleName;

    @ApiModelProperty("生产企业id")
    private Long productionId;

    @ApiModelProperty("送样者")
    private String sampleSender;

    @ApiModelProperty("送样日期")
    private Date sendDate;

    @ApiModelProperty("样品数量")
    private String sampleNumber;

    @ApiModelProperty("生产日期")
    private Date productionDate;

    @ApiModelProperty("商标")
    private String trademark;

    @ApiModelProperty("检验依据")
    private String inspectionBasis;

    @ApiModelProperty("选择的任务")
    List<String> taskList;

    /**
     * 标准id
     * 根据哪个标准新建的审查任务
     */
    @ApiModelProperty("标准id(根据哪个标准新建的任务)")
    private Long standardId;
}
